import request from '@/utils/request'

// 查询实名认证管理列表
export function listCardAuthRecord(query) {
  return request({
    url: '/xq/cardAuthRecord/list',
    method: 'get',
    params: query
  })
}

// 查询实名认证管理详细
export function getCardAuthRecord(id) {
  return request({
    url: '/xq/cardAuthRecord/' + id,
    method: 'get'
  })
}

// 新增实名认证管理
export function addCardAuthRecord(data) {
  return request({
    url: '/xq/cardAuthRecord',
    method: 'post',
    data: data
  })
}

// 修改实名认证管理
export function updateCardAuthRecord(data) {
  return request({
    url: '/xq/cardAuthRecord',
    method: 'put',
    data: data
  })
}

// 删除实名认证管理
export function delCardAuthRecord(id) {
  return request({
    url: '/xq/cardAuthRecord/' + id,
    method: 'delete'
  })
}
